org.apache.lucene.search

## Class BaseRangeFieldQueryTestCase

- java.lang.Object
- - org.junit.Assert
  - - org.apache.lucene.util.LuceneTestCase
    - - org.apache.lucene.search.BaseRangeFieldQueryTestCase

    public abstract class BaseRangeFieldQueryTestCase
    extends LuceneTestCase

Abstract class to do basic tests for a RangeField query. Testing rigor inspired by `BaseGeoPointTestCase`

### Nested Class Summary

Nested Classes
`protected static class` `BaseRangeFieldQueryTestCase.Range` base class for range verification

### Nested classes/interfaces inherited from class org.apache.lucene.util.LuceneTestCase

`LuceneTestCase.AwaitsFix, LuceneTestCase.BadApple, LuceneTestCase.Monster, LuceneTestCase.Nightly, LuceneTestCase.Slow, LuceneTestCase.SuppressCodecs, LuceneTestCase.SuppressFileSystems, LuceneTestCase.SuppressFsync, LuceneTestCase.SuppressReproduceLine, LuceneTestCase.SuppressSysoutChecks, LuceneTestCase.SuppressTempFileChecks, LuceneTestCase.ThrowingRunnable, LuceneTestCase.Weekly`

### Field Summary

### Fields inherited from class org.apache.lucene.util.LuceneTestCase

`assertsAreEnabled, classRules, DEFAULT_LINE_DOCS_FILE, INFOSTREAM, JENKINS_LARGE_LINE_DOCS_FILE, LEAVE_TEMPORARY, MAYBE_CACHE_POLICY, RANDOM_MULTIPLIER, ruleChain, suiteFailureMarker, SYSPROP_AWAITSFIX, SYSPROP_BADAPPLES, SYSPROP_FAILFAST, SYSPROP_MAXFAILURES, SYSPROP_MONSTER, SYSPROP_NIGHTLY, SYSPROP_SLOW, SYSPROP_WEEKLY, TEST_ASSERTS_ENABLED, TEST_AWAITSFIX, TEST_BADAPPLES, TEST_CODEC, TEST_DIRECTORY, TEST_DOCVALUESFORMAT, TEST_LINE_DOCS_FILE, TEST_MONSTER, TEST_NIGHTLY, TEST_POSTINGSFORMAT, TEST_SLOW, TEST_THROTTLING, TEST_WEEKLY, VERBOSE`

### Constructor Summary

Constructors
Constructor and Description
`BaseRangeFieldQueryTestCase()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected void` `addRange(Document doc, BaseRangeFieldQueryTestCase.Range box)`
`protected int` `dimension()`
`protected boolean` `expectedBBoxQueryResult(BaseRangeFieldQueryTestCase.Range queryRange, BaseRangeFieldQueryTestCase.Range range, BaseRangeFieldQueryTestCase.Range.QueryType queryType)`
`protected boolean` `expectedResult(BaseRangeFieldQueryTestCase.Range queryRange, BaseRangeFieldQueryTestCase.Range[] range, BaseRangeFieldQueryTestCase.Range.QueryType queryType)`
`protected abstract Query` `newContainsQuery(BaseRangeFieldQueryTestCase.Range box)`
`protected abstract Query` `newCrossesQuery(BaseRangeFieldQueryTestCase.Range box)`
`protected abstract Query` `newIntersectsQuery(BaseRangeFieldQueryTestCase.Range box)`
`protected abstract Field` `newRangeField(BaseRangeFieldQueryTestCase.Range box)`
`protected abstract Query` `newWithinQuery(BaseRangeFieldQueryTestCase.Range box)`
`protected abstract BaseRangeFieldQueryTestCase.Range` `nextRange(int dimensions)`
`void` `testAllEqual()`
`void` `testLowCardinality()`
`void` `testMultiValued()`
`void` `testRandomBig()`
`void` `testRandomMedium()`
`void` `testRandomTiny()`

### Methods inherited from class org.apache.lucene.util.LuceneTestCase

`addVirusChecker, assertDeletedDocsEquals, assertDocsAndPositionsEnumEquals, assertDocsEnumEquals, assertDocsSkippingEquals, assertDocValuesEquals, assertDocValuesEquals, assertFieldInfosEquals, assertNormsEquals, assertPointsEquals, assertPositionsSkippingEquals, assertReaderEquals, assertReaderStatisticsEquals, assertStoredFieldEquals, assertStoredFieldsEquals, assertTermsEnumEquals, assertTermsEquals, assertTermsEquals, assertTermsStatisticsEquals, assertTermStatsEquals, assertTermVectorsEquals, asSet, assumeFalse, assumeNoException, assumeTrue, assumeWorkingMMapOnWindows, atLeast, atLeast, callStackContains, callStackContains, callStackContainsAnyOf, closeAfterSuite, closeAfterTest, collate, createTempDir, createTempDir, createTempFile, createTempFile, dumpArray, dumpIterator, ensureSaneIWCOnNightly, expectThrows, expectThrows, expectThrows, expectThrowsAnyOf, expectThrowsAnyOf, getBaseTempDirForTestClass, getDataInputStream, getDataPath, getOnlyLeafReader, getTestClass, getTestName, hasWorkingMMapOnWindows, isTestThread, localeForLanguageTag, maybeChangeLiveIndexWriterConfig, maybeWrapReader, newAlcoholicMergePolicy, newAlcoholicMergePolicy, newDirectory, newDirectory, newDirectory, newDirectory, newDirectory, newField, newField, newFSDirectory, newFSDirectory, newIndexWriterConfig, newIndexWriterConfig, newIndexWriterConfig, newIOContext, newIOContext, newLogMergePolicy, newLogMergePolicy, newLogMergePolicy, newLogMergePolicy, newLogMergePolicy, newMaybeVirusCheckingDirectory, newMaybeVirusCheckingFSDirectory, newMergePolicy, newMergePolicy, newMergePolicy, newMockDirectory, newMockDirectory, newMockDirectory, newMockFSDirectory, newMockFSDirectory, newSearcher, newSearcher, newSearcher, newStringField, newStringField, newStringField, newStringField, newTextField, newTextField, newTieredMergePolicy, newTieredMergePolicy, overrideDefaultQueryCache, overrideTestDefaultQueryCache, random, randomLocale, randomTimeZone, rarely, rarely, replaceMaxFailureRule, resetDefaultQueryCache, restoreCPUCoreCount, restoreIndexWriterMaxDocs, restoreSpins, runWithRestrictedPermissions, setIndexWriterMaxDocs, setUp, setupCPUCoreCount, setupSpins, slowFileExists, tearDown, usually, usually, wrapReader`

### Methods inherited from class org.junit.Assert

`assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertArrayEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotEquals, assertNotEquals, assertNotEquals, assertNotEquals, assertNotEquals, assertNotEquals, assertNotEquals, assertNotEquals, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertThat, assertThat, assertTrue, assertTrue, fail, fail`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BaseRangeFieldQueryTestCase

    public BaseRangeFieldQueryTestCase()

### Method Detail

#### newRangeField

    protected abstract Field newRangeField(BaseRangeFieldQueryTestCase.Range box)

#### newIntersectsQuery

    protected abstract Query newIntersectsQuery(BaseRangeFieldQueryTestCase.Range box)

#### newContainsQuery

    protected abstract Query newContainsQuery(BaseRangeFieldQueryTestCase.Range box)

#### newWithinQuery

    protected abstract Query newWithinQuery(BaseRangeFieldQueryTestCase.Range box)

#### newCrossesQuery

    protected abstract Query newCrossesQuery(BaseRangeFieldQueryTestCase.Range box)

#### nextRange

    protected abstract BaseRangeFieldQueryTestCase.Range nextRange(int dimensions)
                                                            throws Exception

Throws:
  `Exception`

#### dimension

    protected int dimension()

#### testRandomTiny

    public void testRandomTiny()
                        throws Exception

Throws:
  `Exception`

#### testRandomMedium

    public void testRandomMedium()
                          throws Exception

Throws:
  `Exception`

#### testRandomBig

    @LuceneTestCase.Nightly
    public void testRandomBig()
                                               throws Exception

Throws:
  `Exception`

#### testMultiValued

    public void testMultiValued()
                         throws Exception

Throws:
  `Exception`

#### testAllEqual

    public void testAllEqual()
                      throws Exception

Throws:
  `Exception`

#### testLowCardinality

    public void testLowCardinality()
                            throws Exception

Throws:
  `Exception`

#### addRange

    protected void addRange(Document doc,
                            BaseRangeFieldQueryTestCase.Range box)

#### expectedResult

    protected boolean expectedResult(BaseRangeFieldQueryTestCase.Range queryRange,
                                     BaseRangeFieldQueryTestCase.Range[] range,
                                     BaseRangeFieldQueryTestCase.Range.QueryType queryType)

#### expectedBBoxQueryResult

    protected boolean expectedBBoxQueryResult(BaseRangeFieldQueryTestCase.Range queryRange,
                                              BaseRangeFieldQueryTestCase.Range range,
                                              BaseRangeFieldQueryTestCase.Range.QueryType queryType)